/*
 * Calibration-Program for the SignalPath calls all the other Calibration-Subroutines
 * This Subroutine is running in a continous loop until 
 */
 bool warmup = false; // Variable that encodes if the system is still cold
 
void SigPathCalibration(){
  uint32_t milliseconds_startup = millis();
   attachInterrupt(digitalPinToInterrupt(INT), ISR, FALLING);
  while(milliseconds_startup >= 1200000UL){
    warmup = false;
    UpdateDisplay();
    if(bitRead(interruptSource, 7) == true){
      goto CalContinueNoWarmUp;
    }
    yield(); // Yield the processor to the WiFi-Core
  }
    CalContinueNoWarmUp:
    warmup = true; 
    CalStart:
    UpdateDisplay();
    delay(1000);
    SysStatus = STATE_SIGPATH_CAL;
    UpdateDisplay();
    // Put calibration-routines here
    SysStatus = STATE_NORM_OP;
    tft.fillScreen(BLACK);
    Message("CAL COMPLETE", YELLOW);
    delay(1000);
    return;
    CalCancel:
    SysStatus = STATE_NORM_OP;
    Message("CAL CANCELED", RED);
    delay(1000);
    return;
}

