// Interrupt-Service Routine - Detaches Interrupts, checks the interrupt-source and saves the value in the "interruptSource"-Variable. After that Interrupts are re-attached. 

void ISR() {
  detachInterrupt(digitalPinToInterrupt(INT));
  Wire.requestFrom(INTGPIO_ADR, 1);
  interruptSource = Wire.read();
  SysStatus = 0x01;
//  attachInterrupt(digitalPinToInterrupt(INT), ISR, FALLING);
}

